# CodingDojo template - PHP
This is a template for a coding dojo. The language is PHP with [PHPUnit](https://phpunit.de/)
and [Hamcrest matchers](https://github.com/hamcrest/hamcrest-php). 
[Mockery](http://docs.mockery.io/) is provided as well.

## Installation
* This package requires [Composer](https://getcomposer.org/)
    * Have composer installed (global or in your project), verify using ```composer --version```
* Download all required Composer dependencies of this package
    * ```composer install``` (in the root directory of this project)
    * create the autoloader with ```composer dump-autoload```.
    * verify using ```vendor/bin/phpunit``` (running tests)

## Further information
All relevant PHP and configuration files have comments pointing to further information sources.

### License
This work is licensed under a [New BSD License](http://opensource.org/licenses/bsd-license.php), see `license.txt` in repository.
